Bug 212541 - domVTI cannot boot with a message "Cannot allocate memory".
domVTI cannot boot with a message "Cannot allocate memory".
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Aron Griffis
:
Depends On: 210637 212295 212540
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 07:06 EDT by Stephen Tweedie
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-09 17:03:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-10-27 07:06:37 EDT
+++ This bug was initially created as a clone of Bug #212295 +++

Description of problem:
The VTI-Domain cannot boot with the following message.

#xm create vm1.full.conf
Error: (12, 'Cannot allocate memory')

The memory size for creating domain is enough. It should boot up.

Version-Release number of selected component (if applicable):
xen-3.0.2-44
kernel-xen-2.6.17-1.2630.fc6

How reproducible:
sometimes(In my case, it occured 4/81 creating the domain.)

Steps to Reproduce:
1.alternate between create/shutdown VTI-domain.
2.
3.
  
Actual results:
domVTI cannot boot sometime.

Expected results:
domVTI can boot always.

Additional info:

-- Additional comment from agriffis@redhat.com on 2006-10-26 19:43 EST --
This problem is solved by the xencomm patches, see
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=210637
Comment 1 Aron Griffis 2007-04-09 17:03:25 EDT
Fixed when the xencomm patches went into RHEL5, see BZ 210637

Note You need to log in before you can comment on or make changes to this bug.